#include<iostream>
#include<iomanip>
using namespace std; 

int stringLength(char s[]);
bool sameString(char s1[], char s2[]);

void main()
{
	//   \0 escape sequence for the null terminator
	char name[5] = {'D','a','n', 'a', '\0'};
	cout << name << endl;

	char name2[5] = {'E','m','m', 'a'};
	cout << name2 << endl;

	char name3[] =  "Eli";  
	//char name4[];

	char name4[100];
	cin >> name4;  //will stop reading from the input stream at the first ws (white space)
					// no bounds checking
					//skips leading ws
	cout << name4 << endl;

	cin.ignore(1);

	char name5[100];
	cin.getline(name5,100);  //only stops at the \n, and has bounds checking
	cout << name5 << endl;

	//string length - # of char before the \0
	cout << stringLength(name5) << endl;

	//what is the difference between "a" and 'a'

	if(sameString(name4,name5))
	{
		cout << "Same" << endl;
	}
	else
	{
		cout << "Different" << endl;
	}


}

int stringLength(char s[])
{
	int result = 0;

	while(s[result] != '\0')
	{
		result++;
	}

	return result;
}
bool sameString(char s1[], char s2[])
{
	bool result = true;

	if(stringLength(s1) != stringLength(s2))
	{
		result = false;
	}
	else
	{
		//check the contents of the two string that have the same length
		for(int i = 0; i < stringLength(s1); i++)
		{
			if(s1[i] != s2[i])
			{
				result = false;
			}
		}
	}

	return result;
}
